# $Id$
# Authority: dag

# ExclusiveDist: el4
# Tag: rft

%define real_name iwlwifi

Summary: Intel Wireless Wifi Link drivers (ipw3945, iwl4965, iwl5100, iwl5300 and iwl5350)
Name: dkms-iwlwifi
Version: 1.2.25
Release: 1%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
Requires: gcc, make, dkms
#Requires: iwlwifi-firmware

%description
Intel Wireless Wifi Link drivers (ipw3945, iwl4965, iwl5100, iwl5300 and iwl5350).

%prep
%setup -n %{real_name}-%{version}

%build

%install
%{__rm} -rf %{buildroot}

%define dkms_name iwlwifi
%define dkms_vers %{version}
%define quiet -q

### Kernel module sources install for dkms
%{__mkdir_p} %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
%{__cp} -a origin/* %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

### Configuration for dkms
%{__cat} <<'EOF' >%{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make modules"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="iwlwifi"

DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless/iwlwifi"
AUTOINSTALL=yes
EOF

%clean
%{__rm} -rf %{buildroot}

%post
### Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
### Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force || :

%preun
### Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all || :

%files
%defattr(-, root, root, 0755)
%doc CHANGES INSTALL ISSUES LICENSE* README*
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

%changelog
* Mon Oct 06 2008 Dag Wieers <dag@wieers.com> - 1.2.25-1
- Initial package. (using DAR)
